"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataPermissions = void 0;
class DataPermissions {
    constructor(consentContractAddress, virtual, questionnaires) {
        this.consentContractAddress = consentContractAddress;
        this.virtual = virtual;
        this.questionnaires = questionnaires;
    }
    checkHasVirtualPermission(dataType) {
        return this.virtual.includes(dataType);
    }
    checkHasQuestionnairePermission(cid) {
        return this.questionnaires.includes(cid);
    }
    checkPermission(permission) {
        return (this.checkHasQuestionnairePermission(permission) ||
            this.checkHasVirtualPermission(permission));
    }
}
exports.DataPermissions = DataPermissions;
//# sourceMappingURL=DataPermissions.js.map