"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClickDataMigrator = exports.ClickData = void 0;
const VersionedObject_js_1 = require("../../businessObjects/versioned/VersionedObject.js");
/**
 * I honestly don't know what we need to collect for clicks. I'm not a data guy. Presumeably,
 * you want to know where you clicked and when you did it.
 */
/**
 * Good place to play around with tests. You can use IndexedDB.test
 * to play around and see how it works
 */
class ClickData extends VersionedObject_js_1.VersionedObject {
    constructor(url, timestamp, element, version2Element, version3Element) {
        super();
        this.url = url;
        this.timestamp = timestamp;
        this.element = element;
        this.version2Element = version2Element;
        this.version3Element = version3Element;
    }
    getVersion() {
        return ClickData.CURRENT_VERSION;
    }
}
exports.ClickData = ClickData;
ClickData.CURRENT_VERSION = 3;
class ClickDataMigrator extends VersionedObject_js_1.VersionedObjectMigrator {
    getCurrentVersion() {
        return ClickData.CURRENT_VERSION;
    }
    factory(data) {
        return new ClickData(data.url, data.timestamp, data.element, data.version2Element, data.version3Element);
    }
    getUpgradeFunctions() {
        return new Map([
            [
                1,
                (data) => {
                    if (data.version2Element == null) {
                        data.version2Element = "Default_Version2";
                    }
                    return data;
                },
            ],
            [
                2,
                (data) => {
                    if (data.version3Element == null) {
                        data.version3Element = 1;
                    }
                    return data;
                },
            ],
        ]);
    }
}
exports.ClickDataMigrator = ClickDataMigrator;
//# sourceMappingURL=ClickData.js.map