"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinkedAccount = exports.LinkedAccountMigrator = void 0;
const VersionedObject_js_1 = require("../../businessObjects/versioned/VersionedObject.js");
class LinkedAccountMigrator extends VersionedObject_js_1.VersionedObjectMigrator {
    getCurrentVersion() {
        return LinkedAccount.CURRENT_VERSION;
    }
    factory(data) {
        return new LinkedAccount(data.sourceChain, data.sourceAccountAddress);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
exports.LinkedAccountMigrator = LinkedAccountMigrator;
class LinkedAccount extends VersionedObject_js_1.VersionedObject {
    constructor(sourceChain, sourceAccountAddress) {
        super();
        this.sourceChain = sourceChain;
        this.sourceAccountAddress = sourceAccountAddress;
    }
    getVersion() {
        return LinkedAccount.CURRENT_VERSION;
    }
}
exports.LinkedAccount = LinkedAccount;
LinkedAccount.CURRENT_VERSION = 1;
//# sourceMappingURL=LinkedAccount.js.map