import { VersionedObject } from "../../businessObjects/versioned/VersionedObject.js";
import { WalletNFTData } from "../../businessObjects/versioned/WalletNFTData.js";
import { EIndexedDbOp } from "../../enum/index.js";
import { AccountAddress, BigNumberString, NftIdWithMeasurementDate, UnixTimestamp } from "../../primitives/index.js";
export declare class WalletNFTHistory extends VersionedObject {
    id: NftIdWithMeasurementDate;
    event: EIndexedDbOp;
    amount: BigNumberString;
    static CURRENT_VERSION: number;
    constructor(id: NftIdWithMeasurementDate, event: EIndexedDbOp, amount: BigNumberString);
    getVersion(): number;
}
export type WalletNftWithHistory = Omit<WalletNFTData, "getVersion"> & {
    history: {
        measurementDate: UnixTimestamp;
        event: EIndexedDbOp;
        amount: BigNumberString;
    }[];
    owner: AccountAddress;
    totalAmount: BigNumberString;
};
//# sourceMappingURL=WalletNFTHistory.d.ts.map