export declare const QuestionnaireSchema: {
    $schema: string;
    title: string;
    type: string;
    version: string;
    properties: {
        title: {
            type: string;
            description: string;
        };
        description: {
            type: string;
            description: string;
        };
        image: {
            type: string;
            description: string;
        };
        questions: {
            type: string;
            description: string;
            items: {
                type: string;
                properties: {
                    questionType: {
                        type: string;
                        enum: string[];
                    };
                    displayType: {
                        type: string;
                        enum: string[];
                    };
                    multiSelect: {
                        type: string;
                        default: boolean;
                        description: string;
                    };
                    isRequired: {
                        type: string;
                        default: boolean;
                        description: string;
                    };
                    lowerLabel: {
                        type: string;
                        description: string;
                    };
                    upperLabel: {
                        type: string;
                        description: string;
                    };
                    minimum: {
                        type: string;
                        description: string;
                    };
                    maximum: {
                        type: string;
                        description: string;
                    };
                    question: {
                        type: string;
                        description: string;
                    };
                    options: {
                        type: string;
                        description: string;
                        items: {
                            oneOf: {
                                type: string;
                            }[];
                        };
                    };
                };
                required: string[];
                allOf: ({
                    if: {
                        properties: {
                            questionType: {
                                const: string;
                            };
                        };
                        anyOf?: undefined;
                    };
                    then: {
                        if: {
                            required: string[];
                            properties: {
                                displayType: {
                                    const: string;
                                };
                            };
                            anyOf?: undefined;
                        };
                        then: {
                            dependencies: {
                                lowerLabel: string[];
                                upperLabel: string[];
                            };
                            properties: {
                                multiSelect: {
                                    const: boolean;
                                };
                                maximum: {
                                    not: {};
                                };
                                minimum: {
                                    not: {};
                                };
                            };
                        };
                        else: {
                            properties: {
                                lowerLabel: {
                                    not: {};
                                };
                                upperLabel: {
                                    not: {};
                                };
                            };
                        };
                        required: string[];
                        properties: {
                            options: {
                                minItems: number;
                            };
                        };
                    };
                    else: {
                        if: {
                            not: {
                                properties: {
                                    questionType: {
                                        const: string;
                                    };
                                };
                            };
                        };
                        then: {
                            properties: {
                                multiSelect: {
                                    not: {};
                                };
                            };
                        };
                        properties: {
                            options: {
                                not: {};
                            };
                            displayType: {
                                not: {};
                            };
                            upperLabel: {
                                not: {};
                            };
                            lowerLabel: {
                                not: {};
                            };
                        };
                    };
                } | {
                    if: {
                        anyOf: {
                            properties: {
                                questionType: {
                                    const: string;
                                };
                            };
                        }[];
                        properties?: undefined;
                    };
                    then: {
                        if: {
                            anyOf: ({
                                properties: {
                                    multiSelect: {
                                        const: boolean;
                                    };
                                };
                                required: string[];
                                not?: undefined;
                            } | {
                                not: {
                                    required: string[];
                                };
                                properties?: undefined;
                                required?: undefined;
                            })[];
                            required?: undefined;
                            properties?: undefined;
                        };
                        then: {
                            properties: {
                                maximum: {
                                    not: {};
                                };
                                minimum: {
                                    not: {};
                                };
                                multiSelect?: undefined;
                            };
                            dependencies?: undefined;
                        };
                        else?: undefined;
                        required?: undefined;
                        properties?: undefined;
                    };
                    else?: undefined;
                })[];
            };
        };
    };
    required: string[];
};
//# sourceMappingURL=Questionnaire.schema.d.ts.map